Bug 622588 - Embedded Application resources should support same operations as non-embedded Application resources
Summary: Embedded Application resources should support same operations as non-embedded...
Status: CLOSED WONTFIX
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins   
(Show other bugs)
Version: 1.3.1
Hardware: All All
medium
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-09 20:08 UTC by Larry O'Leary
Modified: 2018-10-27 16:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
JON 2.3.1 Inventoried JBoss EAP 5.0.1 instance running with default profile Deployed EJB3 JAR to $JBOSS_HOME/server/default/deploy Deployed EAR containing an EJB3 JAR to $JBOSS_HOME/server/default/deploy
Last Closed: 2013-12-07 16:01:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker EMBJOPR-320 Major Closed Embedded Application resources should support same operations as non-embedded Application resources 2017-01-18 09:34 UTC
JBoss Issue Tracker JBPAPP-3887 Major Closed admin-console: Allow Embedded EJBs be controlled as non-embedded EJBs 2017-01-18 09:34 UTC

Description Larry O'Leary 2010-08-09 20:08:06 UTC
When an EJB is deployed to an application server it is considered an "EJB3 JAR (Service)" and exposes the Start, Stop, and Restart operations.  When the same EJB is deployed as part of an EAR it is considered an "Embedded EJB3 JAR (Service)" and does not expose any operations.  This is a request to expose these same operations for the embedded resources as well.

This also applies to WAR/Embedded WAR.


Current Behavior:

 1) After deploying an EJB3 JAR to an inventoried AS instance and the EJB3 being discovered...
 2) Navigate to Resources -> Services
 3) Filter to view EJB3 JAR
 4) Select an EJB3 JAR resource
 5) Select Operations tab
 6) Notice Restart, Start, and Stop operations
 7) After deploying an EAR which contains an EJB3 JAR to an inventoried AS instance and the EAR being discovered...
 8) Navigate to Resources -> Services
 9) Filter to view Embedded EJB3 JAR
10) Select an Embedded EJB3 JAR resource
11) Notice that there is no Operations tab


Expected Behavior:

11) above should allow you to select Operations tab
12) Notice Restart, Start, and Stop operations

Comment 2 Larry O'Leary 2010-08-09 22:14:53 UTC
Bug https://jira.jboss.org/browse/EMBJOPR-320 has been logged to capture this request for Embedded JOPR as well.

Comment 3 Charles Crouch 2010-11-16 21:08:27 UTC
If this is possible, its definitely an RFE

Comment 4 Heiko W. Rupp 2013-12-07 16:01:36 UTC
Closing as outdated.


Note You need to log in before you can comment on or make changes to this bug.